#include <stdlib.h>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include <SDL/SDL_ttf.h>
#include <sys/ioctl.h>
#include <sys/socket.h>
#include <bluetooth/bluetooth.h>
#include <bluetooth/hci.h>
#include <bluetooth/hci_lib.h>

//#define DATADIR ./ressources

SDL_Surface *screen;
SDL_Surface *image,*bg;
SDL_Rect dest;
SDL_Event event;
SDL_Color couleur;
TTF_Font *police;

char buffer[40];
int dev_id, num_rsp, length, flags, dd;
inquiry_info *info=NULL;
bdaddr_t bdaddr;
int i;
int ctl;
int selected;
struct devices_info {
	int id;
	char* name;
	bdaddr_t addr;
	} bluetooth[20];//20 bt devices can be read



void MainScreen();
void ScanBt();
void AffResult(char* texte, int ligne);
void check_drivers();
void hci_up();
void SelDown(int ligne);
void SelUp(int ligne);

//#define TARGET_GP2X //C'est fait par les Makefile ça normally...

#ifdef TARGET_GP2X
#define GP2X_BUTTON_EVENT	(SDL_JOYBUTTONDOWN)
#define GP2X_BUTTON_ID		event.jbutton.button
#define GP2X_BUTTON_UP              (0)
#define GP2X_BUTTON_DOWN            (4)
#define GP2X_BUTTON_LEFT            (2)
#define GP2X_BUTTON_RIGHT           (6)
#define GP2X_BUTTON_UPLEFT          (1)
#define GP2X_BUTTON_UPRIGHT         (7)
#define GP2X_BUTTON_DOWNLEFT        (3)
#define GP2X_BUTTON_DOWNRIGHT       (5)
#define GP2X_BUTTON_CLICK           (18)
#define GP2X_BUTTON_A               (12)
#define GP2X_BUTTON_B               (13)
#define GP2X_BUTTON_X               (14)
#define GP2X_BUTTON_Y               (15)
#define GP2X_BUTTON_L               (10)
#define GP2X_BUTTON_R               (11)
#define GP2X_BUTTON_START           (8)
#define GP2X_BUTTON_SELECT          (9)
#define GP2X_BUTTON_VOLUP           (16)
#define GP2X_BUTTON_VOLDOWN         (17)
#else
#define GP2X_BUTTON_EVENT	(SDL_KEYDOWN)
#define GP2X_BUTTON_ID		event.key.keysym.sym
#define GP2X_BUTTON_UP              (SDLK_KP8)
#define GP2X_BUTTON_DOWN            (SDLK_KP2)
#define GP2X_BUTTON_LEFT            (SDLK_KP4)
#define GP2X_BUTTON_RIGHT           (SDLK_KP6)
#define GP2X_BUTTON_UPLEFT          (SDLK_KP7)
#define GP2X_BUTTON_UPRIGHT         (SDLK_KP9)
#define GP2X_BUTTON_DOWNLEFT        (SDLK_KP1)
#define GP2X_BUTTON_DOWNRIGHT       (SDLK_KP3)
#define GP2X_BUTTON_CLICK           (SDLK_KP5)
#define GP2X_BUTTON_A               (SDLK_a)
#define GP2X_BUTTON_B               (SDLK_b)
#define GP2X_BUTTON_X               (SDLK_x)
#define GP2X_BUTTON_Y               (SDLK_y)
#define GP2X_BUTTON_L               (SDLK_l)
#define GP2X_BUTTON_R               (SDLK_r)
#define GP2X_BUTTON_START           (SDLK_RETURN)
#define GP2X_BUTTON_SELECT          (SDLK_SPACE)
#define GP2X_BUTTON_VOLUP           (SDLK_v)
#define GP2X_BUTTON_VOLDOWN         (SDLK_c)
#endif
